> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passage.coinlist.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Introspect token

> Returns metadata about an access token, including whether it is active.



## OpenAPI

````yaml /api-reference/openapi.json post /oauth/introspect
openapi: 3.0.0
info:
  title: Frontline API
  version: 0.1.0
servers:
  - url: https://api.coinlist.co
    variables: {}
security: []
tags:
  - name: DocumentSubmissions
  - name: KYC
  - name: OAuth
  - name: Offers
  - name: Participations
  - name: Pii
  - name: Requirements
  - name: Swap
  - name: Token
  - name: Wallet
  - name: Wallet Ownership
paths:
  /oauth/introspect:
    post:
      tags:
        - OAuth
      summary: Introspect token
      description: Returns metadata about an access token, including whether it is active.
      operationId: FrontlineAPIWeb.Oauth.IntrospectController.OpenApiSpec.introspect
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                client_id:
                  description: The client identifier.
                  example: 550e8400-e29b-41d4-a716-446655440000
                  type: string
                  x-struct: null
                  x-validate: null
                client_secret:
                  description: The client secret.
                  example: my-client-secret
                  type: string
                  x-struct: null
                  x-validate: null
                token:
                  description: The token to introspect.
                  example: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
                  type: string
                  x-struct: null
                  x-validate: null
              required:
                - token
              type: object
              x-struct: null
              x-validate: null
        description: Introspect request params
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthIntrospect'
          description: Token introspection result.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthError'
          description: OAuth error response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthError'
          description: OAuth error response
      callbacks: {}
      security: []
components:
  schemas:
    OauthIntrospect:
      description: >-
        Token introspection response. When active is false, only that field is
        returned.
      properties:
        active:
          description: Whether the token is active.
          example: true
          type: boolean
          x-struct: null
          x-validate: null
        client_id:
          description: >-
            The client identifier for the OAuth 2.0 client that requested this
            token.
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
          x-struct: null
          x-validate: null
        exp:
          description: The Unix timestamp when the token expires.
          example: 1704067200
          type: integer
          x-struct: null
          x-validate: null
        iat:
          description: The Unix timestamp when the token was issued.
          example: 1704063600
          type: integer
          x-struct: null
          x-validate: null
        iss:
          description: The issuer of the token.
          example: https://api.example.com
          type: string
          x-struct: null
          x-validate: null
        scope:
          description: A space-separated list of scopes associated with the token.
          example: read write
          type: string
          x-struct: null
          x-validate: null
        sub:
          description: The subject of the token (user ID).
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
          x-struct: null
          x-validate: null
        username:
          description: The username of the resource owner.
          example: user@example.com
          type: string
          x-struct: null
          x-validate: null
      required:
        - active
      title: OauthIntrospect
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Oauth.Schemas.OauthIntrospect
      x-validate: null
    OauthError:
      additionalProperties: false
      properties:
        error:
          description: OAuth error code
          type: string
          x-struct: null
          x-validate: null
        error_description:
          description: Human-readable error description
          type: string
          x-struct: null
          x-validate: null
      required:
        - error
        - error_description
      title: OauthError
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Oauth.Schemas.OauthError
      x-validate: null

````